Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455560 - 10G NIC driver bnx2x does not work on Xen kernel
Summary: 10G NIC driver bnx2x does not work on Xen kernel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: i686
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Andy Gospodarek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 08:03 UTC by huaweisns
Modified: 2014-06-29 23:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-10 18:29:27 UTC


Attachments (Terms of Use)

Description huaweisns 2008-07-16 08:03:21 UTC
Description of problem:

The NIC 10G netwrok chipset is Boardcom 57710
Rhel 5.2 include the bnx2x modle as the chipset 57710 driver model
It's works well on the kernel 2.6.18-92-el5,the NIC works at the speed 10G 
bits/s
but when the platform run the kernel 2.6.18-92-el5xen (system kernel on the XEN 
mode ),the 10G NIC link status is always keep the state of "no-linked"

Version-Release number of selected component (if applicable):
OS Rhel5.2 64bits kernel  2.6.18-92
bnx2x ver :1.40.22

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andy Gospodarek 2008-07-17 20:06:39 UTC
Are you seeing any interrupts processed by the card?  What does the output of

cat /proc/interrupts

and

ifconfig ethX

when running?

If you can also attach the output from dmesg that would be helpful so I can try
and understand what might be happening.

My presumption is that these cards don't work well in legacy (non-msi) mode for
interrupts so we are not getting any irq notification.

Comment 2 Andy Gospodarek 2008-08-04 13:27:32 UTC
I would also be curious if you could test with the module option 'use_inta=1' to see if bnx2x hardware does or does not work with the Xen kernel there.

Comment 3 Andrius Benokraitis 2008-09-22 19:50:30 UTC
Closing due to lack of reporter feedback.

Comment 4 huaweisns 2008-09-23 09:38:57 UTC
thank you !!
I do not think there is anything about the irq, perherps the reason is about ACPI
set the boot option "use_inta=1", I will try a few days later for the reason about environment available
/proc/interrupts
           CPU0              CPU1              CPU2              CPU3              
  1:          2          0          0          0        Phys-irq  i8042
  8:          0          0          0          0        Phys-irq  rtc
  9:          0          0          0          0        Phys-irq  acpi
 12:          4          0          0          0        Phys-irq  i8042
 16:     224049          0          0      51107        Phys-irq  uhci_hcd:usb5, peth0, eth4
 17:       8953          0          0          0        Phys-irq  ehci_hcd:usb1, uhci_hcd:usb2
 18:          0          0          0          0        Phys-irq  uhci_hcd:usb3
 19:       9946          0          0          0        Phys-irq  uhci_hcd:usb4, eth3
 20:      12059          0       2312          0        Phys-irq  ioc0
 21:      13862          0          0          0        Phys-irq  eth1, eth2
256:     159182          0          0          0     Dynamic-irq  timer0
257:      18793          0          0          0     Dynamic-irq  resched0
258:         54          0          0          0     Dynamic-irq  callfunc0
259:          0      13652          0          0     Dynamic-irq  resched1
260:          0        116          0          0     Dynamic-irq  callfunc1
261:          0      35728          0          0     Dynamic-irq  timer1
262:          0          0      19476          0     Dynamic-irq  resched2
263:          0          0        113          0     Dynamic-irq  callfunc2
264:          0          0      42216          0     Dynamic-irq  timer2
265:          0          0          0      19062     Dynamic-irq  resched3
266:          0          0          0         89     Dynamic-irq  callfunc3
267:          0          0          0      25062     Dynamic-irq  timer3
268:         97          0          0          0     Dynamic-irq  xenbus
269:          0          0          0          0     Dynamic-irq  console
NMI:          0          0          0          0 
LOC:          0          0          0          0 
ERR:          0
MIS:          0

dmesg
Bootdata ok (command line is ro root=LABEL=/ rhgb quiet)
Linux version 2.6.18-92.el5xen (brewbuilder@ls20-bc2-13.build.redhat.com) (gcc version 4.1.2 20071124 (Red Hat 4.1.2-41)) #1 SMP Tue Apr 29 13:31:30 EDT 2008
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 00000001f05da000 (usable)
On node 0 totalpages: 2033114
  DMA zone: 2033114 pages, LIFO batch:31
DMI present.
ACPI: RSDP (v002 ACPIAM                                ) @ 0x00000000000f9e70
ACPI: XSDT (v001 A M I  OEMXSDT  0x07000819 MSFT 0x00000097) @ 0x00000000dfff0100
ACPI: FADT (v003 A M I  OEMFACP  0x07000819 MSFT 0x00000097) @ 0x00000000dfff0290
ACPI: MADT (v001 A M I  OEMAPIC  0x07000819 MSFT 0x00000097) @ 0x00000000dfff0390
ACPI: OEMB (v001 A M I  AMI_OEM  0x07000819 MSFT 0x00000097) @ 0x00000000dfffe040
ACPI: DSDT (v001  ATCAV ATCAV119 0x00000119 INTL 0x02002026) @ 0x0000000000000000
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x06] enabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x01] enabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x07] enabled)
ACPI: LAPIC (acpi_id[0x05] lapic_id[0x84] disabled)
ACPI: LAPIC (acpi_id[0x06] lapic_id[0x85] disabled)
ACPI: LAPIC (acpi_id[0x07] lapic_id[0x86] disabled)
ACPI: LAPIC (acpi_id[0x08] lapic_id[0x87] disabled)
ACPI: IOAPIC (id[0x08] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 8, version 32, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x09] address[0xfec80000] gsi_base[24])
IOAPIC[1]: apic_id 9, version 32, address 0xfec80000, GSI 24-47
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to xen
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at e2000000 (gap: e0000000:1ec00000)
Built 1 zonelists.  Total pages: 2033114
Kernel command line: ro root=LABEL=/ rhgb quiet
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
Xen reported: 2128.078 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Software IO TLB enabled: 
 Aperture:     64 megabytes
 Kernel range: 0xffff88000a8ab000 - 0xffff88000e8ab000
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Memory: 7890036k/8132456k available (2414k kernel code, 233556k reserved, 1349k data, 176k init)
Calibrating delay using timer specific routine.. 5321.79 BogoMIPS (lpj=10643594)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
(SMP-)alternatives turned off
ACPI: Core revision 20060707
Initializing CPU#1
Initializing CPU#2
Brought up 4 CPUs
sizeof(vma)=168 bytes
sizeof(page)=56 bytes
sizeof(inode)=560 bytes
sizeof(dentry)=216 bytes
sizeof(ext3inode)=760 bytes
sizeof(buffer_head)=96 bytes
sizeof(skbuff)=240 bytes
Initializing CPU#3
migration_cost=10067
checking if image is initramfs... it is
Grant table initialized
NET: Registered protocol family 16
No dock devices found.
ACPI: bus type pci registered
PCI: Using configuration type 1
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:0d:00.0
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE2.PAPB._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE2.PAPB.PBPC._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE2.PAPB.PBPD._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE2.BMPX._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE3._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE5._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE6._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.NPE7._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR6E._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR46._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 11 12 *14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 10 11 12 14 *15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 10 *11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 11 devices
xen_mem: Initialising balloon driver.
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI: Bridge: 0000:02:00.0
  IO window: c000-cfff
  MEM window: fb300000-fb3fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:02:01.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:01:00.0
  IO window: c000-cfff
  MEM window: fb300000-fb3fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:01:00.3
  IO window: d000-dfff
  MEM window: fb400000-fb7fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:02.0
  IO window: c000-dfff
  MEM window: fb300000-fb7fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:03.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:04.0
  IO window: disabled.
  MEM window: fb800000-fd7fffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:05.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:06.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:07.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:0b:00.0
  IO window: disabled.
  MEM window: fde00000-fdefffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1c.0
  IO window: disabled.
  MEM window: fde00000-fdefffff
  PREFETCH window: disabled.
PCI: Ignore bogus resource 6 [0:0] of 0000:0d:00.0
PCI: Bridge: 0000:00:1e.0
  IO window: e000-efff
  MEM window: fdf00000-fdffffff
  PREFETCH window: f8000000-f9ffffff
PCI: Setting latency timer of device 0000:00:02.0 to 64
PCI: Setting latency timer of device 0000:01:00.0 to 64
PCI: Setting latency timer of device 0000:02:00.0 to 64
PCI: Setting latency timer of device 0000:02:01.0 to 64
PCI: Setting latency timer of device 0000:01:00.3 to 64
PCI: Setting latency timer of device 0000:00:03.0 to 64
PCI: Setting latency timer of device 0000:00:04.0 to 64
PCI: Setting latency timer of device 0000:00:05.0 to 64
PCI: Setting latency timer of device 0000:00:06.0 to 64
PCI: Setting latency timer of device 0000:00:07.0 to 64
GSI 16 sharing vector 0xA0 and IRQ 16
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1c.0 to 64
PCI: Setting latency timer of device 0000:0b:00.0 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 262144 (order: 9, 2097152 bytes)
TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
audit: initializing netlink socket (disabled)
audit(1222189182.116:1): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 6E24E25C96667C37
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Setting latency timer of device 0000:00:02.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:02.0:pcie00]
PCI: Setting latency timer of device 0000:00:03.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:03.0:pcie00]
PCI: Setting latency timer of device 0000:00:04.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:04.0:pcie00]
Allocate Port Service[0000:00:04.0:pcie02]
PCI: Setting latency timer of device 0000:00:05.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:05.0:pcie00]
Allocate Port Service[0000:00:05.0:pcie02]
PCI: Setting latency timer of device 0000:00:06.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:06.0:pcie00]
Allocate Port Service[0000:00:06.0:pcie02]
PCI: Setting latency timer of device 0000:00:07.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:07.0:pcie00]
Allocate Port Service[0000:00:07.0:pcie02]
PCI: Setting latency timer of device 0000:00:1c.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.0:pcie00]
Allocate Port Service[0000:00:1c.0:pcie02]
PCI: Setting latency timer of device 0000:01:00.0 to 64
Allocate Port Service[0000:01:00.0:pcie10]
PCI: Setting latency timer of device 0000:02:00.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:02:00.0:pcie20]
PCI: Setting latency timer of device 0000:02:01.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:02:01.0:pcie20]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU1] (supports 8 throttling states)
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x2
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x4
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x5
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x6
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x7
ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not present [20060707]
ACPI: Getting cpuindex for acpiid 0x8
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Xen virtual console successfully installed as ttyS0
Event-channel device installed.
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
Probing IDE interface ide0...
Probing IDE interface ide1...
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Write protecting the kernel read-only data: 461k
GSI 17 sharing vector 0xA8 and IRQ 17
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 17, io mem 0xfb2ffc00
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.0: irq 17, io base 0x0000bf00
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
GSI 18 sharing vector 0xB0 and IRQ 18
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.1: irq 18, io base 0x0000be80
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
GSI 19 sharing vector 0xB8 and IRQ 19
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 19, io base 0x0000be00
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb 1-4: new high speed USB device using ehci_hcd and address 2
ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.3: irq 16, io base 0x0000bd80
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb 1-4: configuration #1 chosen from 1 choice
hub 1-4:1.0: USB hub found
hub 1-4:1.0: 4 ports detected
SCSI subsystem initialized
Fusion MPT base driver 3.04.05
Copyright (c) 1999-2007 LSI Corporation
Fusion MPT SAS Host driver 3.04.05
GSI 20 sharing vector 0xC0 and IRQ 20
ACPI: PCI Interrupt 0000:05:01.0[A] -> GSI 24 (level, low) -> IRQ 20
mptbase: ioc0: Initiating bringup
usb 1-6: new high speed USB device using ehci_hcd and address 4
usb 1-6: configuration #1 chosen from 1 choice
ioc0: LSISAS1064 A3: Capabilities={Initiator}
usb 4-1: new low speed USB device using uhci_hcd and address 2
usb 4-1: configuration #1 chosen from 1 choice
input: CV-131    as /class/input/input0
input: USB HID v1.00 Keyboard [CV-131   ] on usb-0000:00:1d.2-1
input: CV-131    as /class/input/input1
input: USB HID v1.00 Mouse [CV-131   ] on usb-0000:00:1d.2-1
scsi0 : ioc0: LSISAS1064 A3, FwRev=01120000h, Ports=1, MaxQ=511, IRQ=20
  Vendor: SEAGATE   Model: ST973402SS        Rev: 0003
  Type:   Direct-Access                      ANSI SCSI revision: 05
  Vendor: SEAGATE   Model: ST973402SS        Rev: 0003
  Type:   Direct-Access                      ANSI SCSI revision: 05
  Vendor: LSILOGIC  Model: Logical Volume    Rev: 3000
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 142577664 512-byte hdwr sectors (73000 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 08
SCSI device sda: drive cache: write through
SCSI device sda: 142577664 512-byte hdwr sectors (73000 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 08
SCSI device sda: drive cache: write through
 sda: sda1 sda2
sd 0:1:0:0: Attached scsi disk sda
Initializing USB Mass Storage driver...
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usbcore: registered new driver usb-storage
usb-storage: waiting for device to settle before scanning
USB Mass Storage support registered.
  Vendor: Cypress   Model: Pen Drive         Rev:     
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdb: 2048000 512-byte hdwr sectors (1049 MB)
sdb: Write Protect is off
sdb: Mode Sense: 33 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 2048000 512-byte hdwr sectors (1049 MB)
sdb: Write Protect is off
sdb: Mode Sense: 33 00 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 1:0:0:0: Attached scsi removable disk sdb
usb-storage: device scan complete
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
audit(1222189206.241:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
security:  3 users, 6 roles, 1676 types, 213 bools, 1 sens, 1024 cats
security:  61 classes, 60092 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev sda1, type ext3), uses xattr
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses task SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1222189206.457:3): policy loaded auid=4294967295 ses=4294967295
Broadcom NetXtreme II 5771X 10Gigabit Ethernet Driver bnx2x 1.40.22 (2007/11/27)
GSI 21 sharing vector 0xC8 and IRQ 21
ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 17 (level, low) -> IRQ 21
PCI: Setting latency timer of device 0000:07:00.0 to 64
bnx2x: part number 394D4342-31373735-314130-0
eth0: Broadcom NetXtreme II BCM57710 XGb (A1) PCI-E x8 2.5GHz found at mem fd000000, IRQ 21, <6>node addr <6>00<6>80<6>42<6>26<6>b0<6>26<6>
ACPI: PCI Interrupt 0000:07:00.1[B] -> GSI 18 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:07:00.1 to 64
bnx2x: part number 394D4342-31373735-314130-0
eth1: Broadcom NetXtreme II BCM57710 XGb (A1) PCI-E x8 2.5GHz found at mem fc000000, IRQ 19, <6>node addr <6>00<6>80<6>42<6>26<6>b0<6>27<6>
intel_rng: FWH not detected
input: PC Speaker as /class/input/input2
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
tg3.c:v3.86 (November 9, 2007)
ACPI: PCI Interrupt 0000:0c:04.0[A] -> GSI 16 (level, low) -> IRQ 16
eth2: Tigon3 [partno(BCM95715) rev 9003 PHY(5714)] (PCIX:133MHz:64-bit) 10/100/1000Base-T Ethernet 00:80:42:26:ec:36
eth2: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] WireSpeed[1] TSOcap[1]
eth2: dma_rwctrl[76148000] dma_mask[40-bit]
ACPI: PCI Interrupt 0000:0c:04.1[B] -> GSI 17 (level, low) -> IRQ 21
EDAC MC: Ver: 2.0.1 Apr 29 2008
eth3: Tigon3 [partno(BCM95715) rev 9003 PHY(5714)] (PCIX:133MHz:64-bit) 10/100/1000Base-T Ethernet 00:80:42:26:ec:37
eth3: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] WireSpeed[1] TSOcap[1]
eth3: dma_rwctrl[76148000] dma_mask[40-bit]
8250_pnp: Unknown symbol serial8250_unregister_port
8250_pnp: Unknown symbol serial8250_register_port
ACPI: PCI Interrupt 0000:00:1f.3[B] -> GSI 19 (level, low) -> IRQ 18
EDAC MC0: Giving out device to i5000_edac.c I5000: DEV 0000:00:10.0
e1000e: Intel(R) PRO/1000 Network Driver - 0.2.0
e1000e: Copyright (c) 1999-2007 Intel Corporation.
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:03:00.0 to 64
scsi 0:0:0:0: Attached scsi generic sg0 type 0
scsi 0:0:1:0: Attached scsi generic sg1 type 0
sd 0:1:0:0: Attached scsi generic sg2 type 0
sd 1:0:0:0: Attached scsi generic sg3 type 0
0000:02:00.0: eth4: (PCI Express:2.5GB/s:Width x1) 00:80:42:26:ec:5d
0000:02:00.0: eth4: Intel(R) PRO/1000 Network Connection
0000:02:00.0: eth4: MAC: 0, PHY: 1, PBA No: ffffff-0ff
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
floppy0: no floppy controllers found
lp: driver loaded but no devices found
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.11.5-ioctl (2007-12-12) initialised: dm-devel@redhat.com
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on sda1, internal journal
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
audit(1222160425.732:4): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb0" dev=tmpfs ino=9391 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1222160425.732:5): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb1" dev=tmpfs ino=9392 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1222160425.732:6): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb2" dev=tmpfs ino=9393 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1222160425.732:7): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb3" dev=tmpfs ino=9394 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1222160425.732:8): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb4" dev=tmpfs ino=9395 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1222160425.732:9): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb5" dev=tmpfs ino=9396 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1222160425.732:10): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb6" dev=tmpfs ino=9397 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1222160425.732:11): avc:  denied  { getattr } for  pid=4473 comm="pam_console_app" path="/dev/fb7" dev=tmpfs ino=9398 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
Adding 2048276k swap on /dev/sda2.  Priority:-1 extents:1 across:2048276k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
IA-32 Microcode Update Driver: v1.14-xen <tigran@veritas.com>
ip6_tables: (C) 2000-2006 Netfilter Core Team
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (8192 buckets, 65536 max) - 304 bytes per conntrack
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.10
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
Bridge firewalling registered
virbr0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
xenbr0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
device vif0.0 entered promiscuous mode
xenbr0: port 1(vif0.0) entering learning state
xenbr0: topology change detected, propagating
xenbr0: port 1(vif0.0) entering forwarding state
ADDRCONF(NETDEV_UP): peth0: link is not ready
tg3: peth0: Link is up at 1000 Mbps, full duplex.
tg3: peth0: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): peth0: link becomes ready
device peth0 entered promiscuous mode
xenbr0: port 2(peth0) entering learning state
xenbr0: topology change detected, propagating
xenbr0: port 2(peth0) entering forwarding state
virbr0: no IPv6 routers present
eth0: no IPv6 routers present
eth0: no IPv6 routers present
eth0: no IPv6 routers present
eth0: no IPv6 routers present
eth0: no IPv6 routers present
ADDRCONF(NETDEV_UP): eth1: link is not ready
tg3: eth1: Link is up at 1000 Mbps, full duplex.
tg3: eth1: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
eth1: no IPv6 routers present
tg3: eth1: Link is down.
tg3: eth1: Link is up at 1000 Mbps, full duplex.
tg3: eth1: Flow control is off for TX and off for RX.
tg3: eth1: Link is down.
tg3: eth1: Link is up at 1000 Mbps, full duplex.
tg3: eth1: Flow control is off for TX and off for RX.
tg3: eth1: Link is down.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sdb1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sdb1, type ext3), uses xattr
tg3: eth1: Link is up at 1000 Mbps, full duplex.
tg3: eth1: Flow control is off for TX and off for RX.
tg3: eth1: Link is down.
tg3: eth1: Link is up at 1000 Mbps, full duplex.
tg3: eth1: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_UP): eth4: link is not ready
0000:02:00.0: eth4: Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
ADDRCONF(NETDEV_CHANGE): eth4: link becomes ready
eth0: no IPv6 routers present
eth4: no IPv6 routers present
0000:02:00.0: eth4: Link is Down
0000:02:00.0: eth4: Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
[bnx2x_enable_msix:6920(eth3)]failed to enable MSI-X
ADDRCONF(NETDEV_UP): eth3: link is not ready
[bnx2x_enable_msix:6920(eth2)]failed to enable MSI-X
ADDRCONF(NETDEV_UP): eth2: link is not ready

Comment 5 Andy Gospodarek 2008-11-05 21:37:05 UTC
It seems this driver doesn't work well when MSI-X can not be enabled.  There was a large kernel update and this should now be resolved with the latest update.  Can you try a kernel from here:

http://people.redhat.com/dzickus/el5/122.el5/

Thanks!

Comment 6 huaweisns 2008-11-06 02:22:07 UTC
I will try the kernel 2.6.18-122 in 10 days  because of  the equipment not available now. I will commit the result as soon as possible.

Comment 9 Andy Gospodarek 2008-11-10 18:29:27 UTC
I just tested the latest (2.6.18-122) 64-bit Xen kernel on bnx2x hardware and everything worked fine.

Please re-open this bug if your testing reveals this is still a problem for you with the latest kernel.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.